Subject: Yohimbine HCL
From: [email-masked]
Date: Sun, 28 Nov 1993 23:30:05 UTC
Newsgroups: alt.drugs

A friend of mine bought me a bottle of Yohimbine HCL 5.4mg tablets at
 a pharmacy in Mexico.  When I take them they seem to make me more horny
 and give me a good hard-on.  The trouble is that they seem to interfere
 with my sleep later on and the next morning I still get hard-ons every
 few minutes.
-------------------------------------------------------------------------
To find out more about the anon service, send mail to [email-masked].
Due to the double-blind, any mail replies to this message will be anonymized,
and an anonymous id will be allocated automatically. You have been warned.
Please report any problems, inappropriate use etc. to [email-masked].